<script setup lang="ts">
import { provide, ref } from 'vue'
import { RouterLink, RouterView } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue';
import MainMenu from './components/MainMenu.vue';
const rail = ref(true)
const drawer = ref(true)

provide('rail', rail)
provide('drawer', drawer)
</script>

<template>
  <v-layout class="rounded rounded-md">
    <MainAppBar/>
    <MainMenu />
    <v-main class="align-center justify-center" style="min-height: 300px;">
      <div class="pa-6">
        <RouterView />
      </div>
    </v-main>
  </v-layout>
</template>

<style scoped></style>
